#
# FtpCube
# Copyright (C) 2002 Michael Gilfix
#
# This file is part of FtpCube.
#
# You should have received a file COPYING containing license terms
# along with this program; if not, write to Michael Gilfix
# (mgilfix@eecs.tufts.edu) for a copy.
#
# This version of FtpCube is open source; you can redistribute it and/or
# modify it under the terms listed in the file COPYING.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

from distutils.core import setup

long_description = \
"""FtpCube - A graphical FTP client

FtpCube is a graphical ftp client written in Python using the wxPython
platform and is based on LeechFTP by Jan Debis. FtpCube aims to provide
a high quality GUI as well as a rich feature set.

Copyright (C) 2001-2003 Michael Gilfix.
"""

import glob
import os.path
import sys

_data_files = [ ('ftpcube/icons', [ 'ftpcube.xpm' ]) ]

# Generate the list of local entries
_locals = [ (os.path.dirname (x), [ x ])
            for x in glob.glob ('locale/*/LC_MESSAGES/*.mo') ]
_data_files.extend (_locals)

# Generate package list
_packages = [ 'libftpcube', 'libftpcube/archtypes', 'libftpcube/icons' ]
try:
	from libftpcube import wxPyColourChooser
	_packages.append ('libftpcube/wxPyColourChooser')
except:
	pass

if sys.platform == "win32":
	_ftpcube_script = "ftpcube.pyw"
else:
	_ftpcube_script = "ftpcube"

setup (
	name = "ftpcube",
	version = "0.4.3",
	description = "Ftpcube - A graphical FTP client",
	long_description = long_description,
	author = "Michael Gilfix",
	author_email = "mgilfix@eecs.tufts.edu",
	url = "http://ftpcube.sourceforge.net",
	license = "Artistic",
	packages = _packages,
	data_files = _data_files,
	scripts = [ _ftpcube_script ],
)
